Subject: Re: bug#49682: 27.2.50; accept-process-output within accept-process-output hangs emacs

From: Rajeev N <[email-masked]>
Date: Wed, 28 Jul 2021 13:12:32 -0400

I wonder why others are not able to reproduce the bug too (my system is debian/bullseye)- for now I am using the following workaorund to avoid emacs hang.

(defun rn-adv-wto (fn &rest args)
(with-timeout (13 (signal 'error (format "adv-wto: %s" args)))
(apply fn args)))
(advice-add 'accept-process-output :around #'rn-adv-wto)

On Wed, 28 Jul 2021 at 7:12 pm +0300, Eli Zaretskii wrote:

It might be a bug, but we need a more detailed understanding of how this happens.

I also very much wonder why many people are unable to reproduce this problem on very similar if not identical systems. Could this be a kernel or a library bug specific to your system?